import request from '@/utils/request';

import { setToken } from '@/utils/token-util';

/**
 * 上传图片
 */
export async function upload(data) {
  const res = await request.post('/upload', data);
  //return res;
  // if (res.data.code === 0) {
  //   //setToken(res.data.data.access_token, data.remember);
  //   return res.data.message;
  // }
  // return Promise.reject(new Error(res.data.message));
  // request({
  //   url: '/upload',
  //   method: 'post',
  //   data: data,
  //   onUploadProgress: (e) => {
  //     if (e.lengthComputable) {
  //       //item.progress = e.loaded / e.total* 100;
  //     }
  //   }
  // }).then((res) => {
  //   console.log(1111);
  //   console.log(res);
  // });
  if (res.data.code === 0) {
    setToken(res.data.data.access_token, data.remember);
    return res.data.message;
  }
  return Promise.reject(new Error(res.data.message));
}
